AUSTIN(1)

NAME
austin - manual page for austin 1.0.0

SYNOPSIS
austin [OPTION...] command [ARG...]

DESCRIPTION
Austin -- A frame stack sampler for Python.

-a, --alt-format
    Alternative collapsed stack sample format.

-C, --children
    Attach to child processes.

-e, --exclude-empty
    Do not output samples of threads with no frame stacks.

-f, --full
    Produce the full set of metrics (time +mem -mem).

-i, --interval=n_us
    Sampling interval (default is 500us).

-m, --memory
    Profile memory usage.

-o, --output=FILE
    Specify an output file for the collected samples.

-p, --pid=PID
    The the ID of the process to which Austin should attach.

-s, --sleepless
    Suppress idle samples.

-t, --timeout=n_ms
    Approximate start up wait time. Increase on slow machines (default is 100ms).

-?, --help
    Give this help list

--usage
    Give a short usage message

-V, --version
    Print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

REPORTING BUGS
Report bugs to <https://github.com/P403n1x87/austin/issues>.

SEE ALSO
The full documentation for austin is maintained as a Texinfo manual. If the info and austin programs are properly installed at your site, the command

    info austin

should give you access to the complete manual.